Subject: bug#58232: 29.0.50; alloc.c:879: assertion failed: 0 < item_size && 0 < nitems_incr_min && 0 <= n0 && -1 <= nitems_max

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Oct 2022 20:47:37 +0300

> From: Visuwesh <[email-masked]>
> Date: Sat, 01 Oct 2022 22:03:05 +0530
> 
> [ Not sure if emacs-devel was preferred for assertion violations.  ]

No, the bug tracker is the right place.

> With a build with checking enabled, I get the following message when I
> launch Emacs.
> 
>     % emacs -Q
>     alloc.c:879: Emacs fatal error: assertion failed: 0 < item_size && 0 < nitems_incr_min && 0 <= n0 && -1 <= nitems_max
>     Aborted
> 
> However, if I attach gdb to Emacs and launch it, it starts just fine.

Can you enable core files and produce a core dump?  Then it can be
debugged with GDB, and we could see the backtrace.

I cannot reproduce this, needless to say.